maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Cottrell (JIRA)" <j...@codehaus.org>
Subject [jira] (MECLIPSE-751) compliance should be the greater of targetPlatform and source
Date Thu, 01 May 2014 08:12:10 GMT
Andrew Cottrell created MECLIPSE-751:
----------------------------------------

             Summary: compliance should be the greater of targetPlatform and source
                 Key: MECLIPSE-751
                 URL: https://jira.codehaus.org/browse/MECLIPSE-751
             Project: Maven Eclipse Plugin
          Issue Type: Bug
          Components: Core : Workspace settings
    Affects Versions: 2.9
         Environment: Windows 7
Eclipse Kepler SR 1
            Reporter: Andrew Cottrell


The Java Compiler settings in Eclipse has the following two requirements:
1. Source compatibility must be equal to or less than compliance level.
2. Classfile compatibility must be equal to or less than compliance level.

In the method "org.apache.maven.plugin.eclipse.writers.workspace.EclipseSettingsWriter# write()",
which writes the settings in "org.eclipse.jdt.core.prefs", the value for "org.eclipse.jdt.core.compiler.compliance"
is set to the same value as "org.eclipse.jdt.core.compiler.source". This does not meet the
requirements when "org.eclipse.jdt.core.compiler.codegen.targetPlatform" is greater than "org.eclipse.jdt.core.compiler.source".

The method can meet the requirements by setting "org.eclipse.jdt.core.compiler.compliance"
to the greater of "org.eclipse.jdt.core.compiler.codegen.targetPlatform" and "org.eclipse.jdt.core.compiler.source".



--
This message was sent by Atlassian JIRA
(v6.1.6#6162)

Mime
View raw message